QCAT - Task #745
User Story # 713 (Closed): PDF export of complete questionnaire

Pipe print output to PDF generator
07 Jan 2016 15:36 - Lukas Vonlanthen

Status: Closed Start date: 01 Jun 2016
Priority: Low Due date: 30 Jun 2016
Assignee: % Done: 0%
Category: Estimated time: 6.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:
Description

e Pisa

e WebToPDF

¢ PDFKit

¢ WeasyPrint

Acceptance criteria:

e Evaluate tool
¢ Integrate it

Related issues:
Blocked by User Story #712: HTML print view for complete questionnaire Closed 07 Jan 2016

History

#1 - 07 Jan 2016 15:39 - Lukas Vonlanthen
- Blocked by User Story #712: HTML print view for complete questionnaire added

#2 - 07 Jan 2016 16:24 - Lukas Vonlanthen

- Assignee changed from Lukas Vonlanthen to Sebastian Manger

#3 - 07 Jan 2016 16:24 - Lukas Vonlanthen
- Estimated time changed from 16.00 h to 6.00 h

#4 - 21 Jan 2016 16:26 - Sebastian Manger

- Status changed from New to In Progress

#5 - 22 Feb 2016 13:30 - Sebastian Manger

Tried these packages:

- wasyprint

- reportlab

- django-easy-pdf

- wkhtmltopdf (django-wkhtmltopdf and python-pdfkit)

All of them fail to print a proper pdf as of now, or result in application errors. wkhtmltopdf seems the most promising package, pdfs can be created
with the command line tool. The error occurs due to a problem in the markup with 'file:///<...>/app.css'

#6 - 22 Feb 2016 13:30 - Sebastian Manger

- Status changed from In Progress to New

#7 - 07 Apr 2016 10:25 - Kurt Gerber
- Target version changed from QCAT v0.9 - Second Beta to WOCAT core productive release

#8 - 07 Apr 2016 10:26 - Kurt Gerber
- Due date set to 30 Jun 2016
- Start date changed from 07 Jan 2016 to 01 Jun 2016

#9 - 19 May 2016 11:43 - Lukas Vonlanthen

- Priority changed from Normal to Low

#10 - 11 Aug 2016 11:14 - Kurt Gerber
- Assignee deleted (Sebastian Manger)

- Target version changed from WOCAT core productive release to QCAT Backlog

#11 - 06 Dec 2016 11:16 - Kurt Gerber

- Status changed from New to Closed
